LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Client.UI.UIOptionsParse

Contents

- Internal operations

Description

UI client options.

Synopsis

- mkUIOptions :: RuleContent -> ClientOptions -> IO UIOptions
- applyUIOptions :: COps -> UIOptions -> ClientOptions -> ClientOptions
- configError :: String -> a
- readError :: Read a => String -> a
- parseConfig :: Config -> UIOptions

# Documentation

mkUIOptions :: RuleContent -> ClientOptions -> IO UIOptions Source #

Read and parse UI config file.

applyUIOptions :: COps -> UIOptions -> ClientOptions -> ClientOptions Source #

Modify client options with UI options.

# Internal operations

configError :: String -> a Source #

readError :: Read a => String -> a Source #

parseConfig :: Config -> UIOptions Source #